Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.stream.util
Class XMLPullReaderBase

    java.lang.Object
      |
      +--weblogic.xml.stream.util.XMLPullReaderBase

public class XMLPullReaderBase
extends java.lang.Object
implements XMLPullReader

Implements the XMLPullReader interface using the weblogic.apache.xerces.parsers.SAXParser

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `XMLOutputStream`

Field Summary
`protected SAXPullParser` | `saxParser`

Constructor Summary
`XMLPullReaderBase()`
`XMLPullReaderBase(SAXPullParser parser)`

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.DTDHandler` | `getDTDHandler()`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`static void` | `main(java.lang.String[] args)`
`void` | `parse(org.xml.sax.InputSource input)`
`void` | `parse(java.lang.String systemId)`
`boolean` | `parseSome()`
`boolean` | `parseSomeSetup(org.xml.sax.InputSource input)`
`boolean` | `parseSomeSetup(java.lang.String systemId)`
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` | `setDTDHandler(org.xml.sax.DTDHandler handler)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` | `setFeature(java.lang.String name, boolean state)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### saxParser

    protected SAXPullParser saxParser

Constructor Detail

### XMLPullReaderBase

    public XMLPullReaderBase()
                      throws org.xml.sax.SAXException

### XMLPullReaderBase

    public XMLPullReaderBase(SAXPullParser parser)
                      throws org.xml.sax.SAXException

Method Detail

### parseSomeSetup

    public boolean parseSomeSetup(org.xml.sax.InputSource input)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException

  Specified by:
    parseSomeSetup in interface XMLPullReader

### parseSomeSetup

    public boolean parseSomeSetup(java.lang.String systemId)
                           throws java.io.IOException,
                                  org.xml.sax.SAXException

  Specified by:
    parseSomeSetup in interface XMLPullReader

### parseSome

    public boolean parseSome()
                      throws org.xml.sax.SAXException

  Specified by:
    parseSome in interface XMLPullReader

### setFeature

    public void setFeature(java.lang.String name,
                           boolean state)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

### parse

    public void parse(org.xml.sax.InputSource input)
               throws org.xml.sax.SAXException,
                      java.io.IOException

### parse

    public void parse(java.lang.String systemId)
               throws org.xml.sax.SAXException,
                      java.io.IOException

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD